List transactions linked to an alert with filtering and pagination
curl --request POST \
--url https://api.artu.ai/alerts/{alertId}/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"search": "<string>",
"amount": 123,
"currency": "<string>",
"description": "<string>",
"externalId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"relatedClientIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isAlerted": true,
"alertedAt": "2023-11-07T05:31:56Z",
"riskAssessment": {
"name": "<string>",
"eq": 123,
"gt": 123,
"gte": 123,
"lt": 123,
"lte": 123,
"levelIn": [
"<string>"
],
"levelNin": [
"<string>"
]
},
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tagIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": {
"MX": {
"actividadVulnerable": {
"ARI": {
"operationType": "1501",
"leaseStartDate": "2023-12-25",
"leaseEndDate": "2023-12-25"
},
"AVI": {
"hash": "<string>",
"cryptoCurrency": "<string>",
"cryptoAmount": 123
},
"INM": {
"operationType": "501",
"contractType": "<string>"
},
"JYS": {},
"MJR": {
"operationPostalCode": "<string>"
},
"MPC": {
"postalCode": "<string>"
},
"TSC": {
"idNumber": "<string>",
"operationType": "211"
},
"VEH": {
"postalCode": "<string>"
}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<string>",
"sucursal": "<string>",
"localidad": "<string>"
}
}
}
},
"alertItem": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hasErrors": true,
"clientNames": "<string>",
"transactionAmount": 123,
"transactionCurrency": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": {
"MX": {
"actividadVulnerable": {
"alertDescription": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {}
}
}
}
},
"alertItemHasErrors": true
},
"sort": [
{}
],
"cursor": "<string>",
"offset": 4503599627370495,
"limit": 20,
"includeTotalCount": true
}
'import requests
url = "https://api.artu.ai/alerts/{alertId}/transactions"
payload = {
"filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"search": "<string>",
"amount": 123,
"currency": "<string>",
"description": "<string>",
"externalId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"relatedClientIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isAlerted": True,
"alertedAt": "2023-11-07T05:31:56Z",
"riskAssessment": {
"name": "<string>",
"eq": 123,
"gt": 123,
"gte": 123,
"lt": 123,
"lte": 123,
"levelIn": ["<string>"],
"levelNin": ["<string>"]
},
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tagIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": { "MX": {
"actividadVulnerable": {
"ARI": {
"operationType": "1501",
"leaseStartDate": "2023-12-25",
"leaseEndDate": "2023-12-25"
},
"AVI": {
"hash": "<string>",
"cryptoCurrency": "<string>",
"cryptoAmount": 123
},
"INM": {
"operationType": "501",
"contractType": "<string>"
},
"JYS": {},
"MJR": { "operationPostalCode": "<string>" },
"MPC": { "postalCode": "<string>" },
"TSC": {
"idNumber": "<string>",
"operationType": "211"
},
"VEH": { "postalCode": "<string>" }
},
"cnbv": { "TRANSMISOR": {
"numeroCuenta": "<string>",
"sucursal": "<string>",
"localidad": "<string>"
} }
} },
"alertItem": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hasErrors": True,
"clientNames": "<string>",
"transactionAmount": 123,
"transactionCurrency": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": { "MX": {
"actividadVulnerable": {
"alertDescription": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": { "TRANSMISOR": {} }
} }
},
"alertItemHasErrors": True
},
"sort": [{}],
"cursor": "<string>",
"offset": 4503599627370495,
"limit": 20,
"includeTotalCount": True
}
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filter: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
search: '<string>',
amount: 123,
currency: '<string>',
description: '<string>',
externalId: '<string>',
timestamp: '2023-11-07T05:31:56Z',
relatedClientIds: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
isAlerted: true,
alertedAt: '2023-11-07T05:31:56Z',
riskAssessment: {
name: '<string>',
eq: 123,
gt: 123,
gte: 123,
lt: 123,
lte: 123,
levelIn: ['<string>'],
levelNin: ['<string>']
},
productId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
tagIds: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
metadataFilters: [{key: '<string>', value: '<string>'}],
scopeData: {
MX: {
actividadVulnerable: {
ARI: {
operationType: '1501',
leaseStartDate: '2023-12-25',
leaseEndDate: '2023-12-25'
},
AVI: {hash: '<string>', cryptoCurrency: '<string>', cryptoAmount: 123},
INM: {operationType: '501', contractType: '<string>'},
JYS: {},
MJR: {operationPostalCode: '<string>'},
MPC: {postalCode: '<string>'},
TSC: {idNumber: '<string>', operationType: '211'},
VEH: {postalCode: '<string>'}
},
cnbv: {
TRANSMISOR: {numeroCuenta: '<string>', sucursal: '<string>', localidad: '<string>'}
}
}
},
alertItem: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
alertId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
clientId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
transactionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
hasErrors: true,
clientNames: '<string>',
transactionAmount: 123,
transactionCurrency: '<string>',
transactionDate: '2023-11-07T05:31:56Z',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
metadataFilters: [{key: '<string>', value: '<string>'}],
scopeData: {
MX: {
actividadVulnerable: {
alertDescription: '<string>',
ARI: {},
AVI: {},
INM: {},
JYS: {},
MJR: {},
MPC: {},
TSC: {},
VEH: {}
},
cnbv: {TRANSMISOR: {}}
}
}
},
alertItemHasErrors: true
},
sort: [{}],
cursor: '<string>',
offset: 4503599627370495,
limit: 20,
includeTotalCount: true
})
};
fetch('https://api.artu.ai/alerts/{alertId}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/alerts/{alertId}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filter' => [
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'search' => '<string>',
'amount' => 123,
'currency' => '<string>',
'description' => '<string>',
'externalId' => '<string>',
'timestamp' => '2023-11-07T05:31:56Z',
'relatedClientIds' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'isAlerted' => true,
'alertedAt' => '2023-11-07T05:31:56Z',
'riskAssessment' => [
'name' => '<string>',
'eq' => 123,
'gt' => 123,
'gte' => 123,
'lt' => 123,
'lte' => 123,
'levelIn' => [
'<string>'
],
'levelNin' => [
'<string>'
]
],
'productId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'createdAt' => '2023-11-07T05:31:56Z',
'updatedAt' => '2023-11-07T05:31:56Z',
'tagIds' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'metadataFilters' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'scopeData' => [
'MX' => [
'actividadVulnerable' => [
'ARI' => [
'operationType' => '1501',
'leaseStartDate' => '2023-12-25',
'leaseEndDate' => '2023-12-25'
],
'AVI' => [
'hash' => '<string>',
'cryptoCurrency' => '<string>',
'cryptoAmount' => 123
],
'INM' => [
'operationType' => '501',
'contractType' => '<string>'
],
'JYS' => [
],
'MJR' => [
'operationPostalCode' => '<string>'
],
'MPC' => [
'postalCode' => '<string>'
],
'TSC' => [
'idNumber' => '<string>',
'operationType' => '211'
],
'VEH' => [
'postalCode' => '<string>'
]
],
'cnbv' => [
'TRANSMISOR' => [
'numeroCuenta' => '<string>',
'sucursal' => '<string>',
'localidad' => '<string>'
]
]
]
],
'alertItem' => [
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'alertId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'clientId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'transactionId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'hasErrors' => true,
'clientNames' => '<string>',
'transactionAmount' => 123,
'transactionCurrency' => '<string>',
'transactionDate' => '2023-11-07T05:31:56Z',
'createdAt' => '2023-11-07T05:31:56Z',
'updatedAt' => '2023-11-07T05:31:56Z',
'metadataFilters' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'scopeData' => [
'MX' => [
'actividadVulnerable' => [
'alertDescription' => '<string>',
'ARI' => [
],
'AVI' => [
],
'INM' => [
],
'JYS' => [
],
'MJR' => [
],
'MPC' => [
],
'TSC' => [
],
'VEH' => [
]
],
'cnbv' => [
'TRANSMISOR' => [
]
]
]
]
],
'alertItemHasErrors' => true
],
'sort' => [
[
]
],
'cursor' => '<string>',
'offset' => 4503599627370495,
'limit' => 20,
'includeTotalCount' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/alerts/{alertId}/transactions"
payload := strings.NewReader("{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"description\": \"<string>\",\n \"externalId\": \"<string>\",\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"relatedClientIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isAlerted\": true,\n \"alertedAt\": \"2023-11-07T05:31:56Z\",\n \"riskAssessment\": {\n \"name\": \"<string>\",\n \"eq\": 123,\n \"gt\": 123,\n \"gte\": 123,\n \"lt\": 123,\n \"lte\": 123,\n \"levelIn\": [\n \"<string>\"\n ],\n \"levelNin\": [\n \"<string>\"\n ]\n },\n \"productId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"ARI\": {\n \"operationType\": \"1501\",\n \"leaseStartDate\": \"2023-12-25\",\n \"leaseEndDate\": \"2023-12-25\"\n },\n \"AVI\": {\n \"hash\": \"<string>\",\n \"cryptoCurrency\": \"<string>\",\n \"cryptoAmount\": 123\n },\n \"INM\": {\n \"operationType\": \"501\",\n \"contractType\": \"<string>\"\n },\n \"JYS\": {},\n \"MJR\": {\n \"operationPostalCode\": \"<string>\"\n },\n \"MPC\": {\n \"postalCode\": \"<string>\"\n },\n \"TSC\": {\n \"idNumber\": \"<string>\",\n \"operationType\": \"211\"\n },\n \"VEH\": {\n \"postalCode\": \"<string>\"\n }\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"sucursal\": \"<string>\",\n \"localidad\": \"<string>\"\n }\n }\n }\n },\n \"alertItem\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"alertId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"transactionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hasErrors\": true,\n \"clientNames\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionCurrency\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"alertDescription\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n },\n \"alertItemHasErrors\": true\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/alerts/{alertId}/transactions")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"description\": \"<string>\",\n \"externalId\": \"<string>\",\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"relatedClientIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isAlerted\": true,\n \"alertedAt\": \"2023-11-07T05:31:56Z\",\n \"riskAssessment\": {\n \"name\": \"<string>\",\n \"eq\": 123,\n \"gt\": 123,\n \"gte\": 123,\n \"lt\": 123,\n \"lte\": 123,\n \"levelIn\": [\n \"<string>\"\n ],\n \"levelNin\": [\n \"<string>\"\n ]\n },\n \"productId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"ARI\": {\n \"operationType\": \"1501\",\n \"leaseStartDate\": \"2023-12-25\",\n \"leaseEndDate\": \"2023-12-25\"\n },\n \"AVI\": {\n \"hash\": \"<string>\",\n \"cryptoCurrency\": \"<string>\",\n \"cryptoAmount\": 123\n },\n \"INM\": {\n \"operationType\": \"501\",\n \"contractType\": \"<string>\"\n },\n \"JYS\": {},\n \"MJR\": {\n \"operationPostalCode\": \"<string>\"\n },\n \"MPC\": {\n \"postalCode\": \"<string>\"\n },\n \"TSC\": {\n \"idNumber\": \"<string>\",\n \"operationType\": \"211\"\n },\n \"VEH\": {\n \"postalCode\": \"<string>\"\n }\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"sucursal\": \"<string>\",\n \"localidad\": \"<string>\"\n }\n }\n }\n },\n \"alertItem\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"alertId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"transactionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hasErrors\": true,\n \"clientNames\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionCurrency\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"alertDescription\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n },\n \"alertItemHasErrors\": true\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/alerts/{alertId}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"description\": \"<string>\",\n \"externalId\": \"<string>\",\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"relatedClientIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isAlerted\": true,\n \"alertedAt\": \"2023-11-07T05:31:56Z\",\n \"riskAssessment\": {\n \"name\": \"<string>\",\n \"eq\": 123,\n \"gt\": 123,\n \"gte\": 123,\n \"lt\": 123,\n \"lte\": 123,\n \"levelIn\": [\n \"<string>\"\n ],\n \"levelNin\": [\n \"<string>\"\n ]\n },\n \"productId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"ARI\": {\n \"operationType\": \"1501\",\n \"leaseStartDate\": \"2023-12-25\",\n \"leaseEndDate\": \"2023-12-25\"\n },\n \"AVI\": {\n \"hash\": \"<string>\",\n \"cryptoCurrency\": \"<string>\",\n \"cryptoAmount\": 123\n },\n \"INM\": {\n \"operationType\": \"501\",\n \"contractType\": \"<string>\"\n },\n \"JYS\": {},\n \"MJR\": {\n \"operationPostalCode\": \"<string>\"\n },\n \"MPC\": {\n \"postalCode\": \"<string>\"\n },\n \"TSC\": {\n \"idNumber\": \"<string>\",\n \"operationType\": \"211\"\n },\n \"VEH\": {\n \"postalCode\": \"<string>\"\n }\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"sucursal\": \"<string>\",\n \"localidad\": \"<string>\"\n }\n }\n }\n },\n \"alertItem\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"alertId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"transactionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hasErrors\": true,\n \"clientNames\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionCurrency\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"alertDescription\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n },\n \"alertItemHasErrors\": true\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"relatedClientIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"scopes": [
"base"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isAlerted": true,
"alertedAt": "2023-11-07T05:31:56Z",
"alertItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "not_applicable",
"amount": "<unknown>",
"currency": "<unknown>",
"exchangeRates": {},
"externalId": "<string>",
"description": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"ARI": {
"property": {
"type": "1",
"leaseStartDate": "2023-12-25",
"leaseEndDate": "2023-12-25",
"colonia": "<string>",
"calle": "<string>",
"numeroExterior": "<string>",
"postalCode": "<string>",
"folioReal": "<string>",
"value": "<unknown>",
"numeroInterior": "<string>"
},
"payments": [
{
"paymentForm": "1",
"monetaryInstrument": "1",
"currency": "<string>",
"paymentDate": "2023-12-25",
"amount": "<unknown>"
}
],
"operationType": "1501"
},
"AVI": {
"operationType": "buy",
"cryptoCurrency": "<string>",
"hash": "<unknown>",
"cryptoAmount": "<unknown>"
},
"INM": {
"figuraCliente": "1",
"figuraSO": "1",
"inmuebles": [
{
"type": "1",
"colonia": "<string>",
"calle": "<string>",
"numeroExterior": "<string>",
"postalCode": "<string>",
"folioReal": "<string>",
"value": "<unknown>",
"numeroInterior": "<string>",
"dimensionTerreno": "<unknown>",
"dimensionConstruido": "<unknown>"
}
],
"contract": {
"type": "notarial",
"instrumentNumber": "<string>",
"instrumentDate": "2023-12-25",
"notaryNumber": "<string>",
"notaryStateCode": "1",
"cadastralValue": "<unknown>"
},
"operationType": "501",
"payments": [
{
"paymentForm": "1",
"monetaryInstrument": "1",
"currency": "<string>",
"paymentDate": "2023-12-25",
"amount": "<unknown>"
}
]
},
"JYS": {
"branchInformation": {
"type": "<unknown>",
"postalCode": "<unknown>"
},
"operationType": "101",
"businessLine": "1",
"operationMethod": "1",
"settlementType": "cash",
"monetaryInstrument": "1"
},
"MJR": {
"operationPostalCode": "<string>",
"goods": [
{
"goodType": "1",
"unit": "1",
"quantity": "<unknown>"
}
],
"payments": [
{
"paymentForm": "1",
"monetaryInstrument": "1",
"currency": "<string>",
"paymentDate": "2023-12-25",
"amount": "<unknown>"
}
],
"operationType": "601"
},
"MPC": {
"operationType": "401",
"postalCode": "<string>",
"disbursements": [
{
"monetaryInstrument": "1",
"currency": "<string>",
"disbursementDate": "2023-12-25",
"amount": "<unknown>"
}
],
"collateral": [
{
"tipoGarantia": "2",
"bienMutuo": "<unknown>",
"guarantorClientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"TSC": {
"cardType": "1",
"idNumber": "<string>",
"operationType": "211"
},
"VEH": {
"operationType": "801",
"postalCode": "<string>",
"vehicles": [
{
"kind": "<unknown>",
"marcaFabricante": "<unknown>",
"modelo": "<unknown>",
"anio": "<unknown>",
"vin": "<unknown>",
"repuve": "<unknown>",
"placas": "<unknown>",
"nivelBlindaje": "<unknown>"
}
],
"operationDate": "2023-12-25",
"payments": [
{
"paymentForm": "1",
"currency": "<string>",
"paymentDate": "2023-12-25",
"monetaryInstrument": "1",
"amount": "<unknown>"
}
]
}
},
"cnbv": {
"TRANSMISOR": {
"tipoOperacion": "00",
"instrumentoMonetario": "00",
"sucursal": "<string>",
"localidad": "10100005"
}
}
},
"US": "<unknown>"
},
"relatedClients": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "base",
"metadata": {}
}
],
"riskAssessments": {},
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
],
"alertItemValidationErrors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>",
"severity": "error",
"resource": "alert",
"resourceId": "<string>",
"label": "<string>",
"sdkField": "<string>",
"parentClientId": "<string>"
}
],
"alertItemScopeData": {
"MX": {
"actividadVulnerable": {
"alertDescription": "<string>",
"amendment": {
"originalReference": "<string>",
"reason": "<string>"
},
"ARI": {
"alertType": "100"
},
"AVI": {
"alertType": "100"
},
"INM": {
"alertType": "100"
},
"JYS": {
"alertType": "100"
},
"MJR": {
"alertType": "100"
},
"MPC": {
"alertType": "100"
},
"TSC": {
"alertType": "100"
},
"VEH": {
"alertType": "100"
}
},
"cnbv": {
"TRANSMISOR": {
"fechaDeteccion": "2023-11-07T05:31:56Z",
"descripcionOperacion": "<string>",
"razones": "<string>"
}
}
},
"US": "<unknown>"
},
"alertItemMetadata": {},
"alertItemCreatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"hasMore": true,
"nextCursor": "<string>",
"totalCount": 0
}
}Alerts
List transactions linked to an alert with filtering and pagination
POST
/
alerts
/
{alertId}
/
transactions
List transactions linked to an alert with filtering and pagination
curl --request POST \
--url https://api.artu.ai/alerts/{alertId}/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"search": "<string>",
"amount": 123,
"currency": "<string>",
"description": "<string>",
"externalId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"relatedClientIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isAlerted": true,
"alertedAt": "2023-11-07T05:31:56Z",
"riskAssessment": {
"name": "<string>",
"eq": 123,
"gt": 123,
"gte": 123,
"lt": 123,
"lte": 123,
"levelIn": [
"<string>"
],
"levelNin": [
"<string>"
]
},
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tagIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": {
"MX": {
"actividadVulnerable": {
"ARI": {
"operationType": "1501",
"leaseStartDate": "2023-12-25",
"leaseEndDate": "2023-12-25"
},
"AVI": {
"hash": "<string>",
"cryptoCurrency": "<string>",
"cryptoAmount": 123
},
"INM": {
"operationType": "501",
"contractType": "<string>"
},
"JYS": {},
"MJR": {
"operationPostalCode": "<string>"
},
"MPC": {
"postalCode": "<string>"
},
"TSC": {
"idNumber": "<string>",
"operationType": "211"
},
"VEH": {
"postalCode": "<string>"
}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<string>",
"sucursal": "<string>",
"localidad": "<string>"
}
}
}
},
"alertItem": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hasErrors": true,
"clientNames": "<string>",
"transactionAmount": 123,
"transactionCurrency": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": {
"MX": {
"actividadVulnerable": {
"alertDescription": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {}
}
}
}
},
"alertItemHasErrors": true
},
"sort": [
{}
],
"cursor": "<string>",
"offset": 4503599627370495,
"limit": 20,
"includeTotalCount": true
}
'import requests
url = "https://api.artu.ai/alerts/{alertId}/transactions"
payload = {
"filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"search": "<string>",
"amount": 123,
"currency": "<string>",
"description": "<string>",
"externalId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"relatedClientIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isAlerted": True,
"alertedAt": "2023-11-07T05:31:56Z",
"riskAssessment": {
"name": "<string>",
"eq": 123,
"gt": 123,
"gte": 123,
"lt": 123,
"lte": 123,
"levelIn": ["<string>"],
"levelNin": ["<string>"]
},
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tagIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": { "MX": {
"actividadVulnerable": {
"ARI": {
"operationType": "1501",
"leaseStartDate": "2023-12-25",
"leaseEndDate": "2023-12-25"
},
"AVI": {
"hash": "<string>",
"cryptoCurrency": "<string>",
"cryptoAmount": 123
},
"INM": {
"operationType": "501",
"contractType": "<string>"
},
"JYS": {},
"MJR": { "operationPostalCode": "<string>" },
"MPC": { "postalCode": "<string>" },
"TSC": {
"idNumber": "<string>",
"operationType": "211"
},
"VEH": { "postalCode": "<string>" }
},
"cnbv": { "TRANSMISOR": {
"numeroCuenta": "<string>",
"sucursal": "<string>",
"localidad": "<string>"
} }
} },
"alertItem": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hasErrors": True,
"clientNames": "<string>",
"transactionAmount": 123,
"transactionCurrency": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": { "MX": {
"actividadVulnerable": {
"alertDescription": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": { "TRANSMISOR": {} }
} }
},
"alertItemHasErrors": True
},
"sort": [{}],
"cursor": "<string>",
"offset": 4503599627370495,
"limit": 20,
"includeTotalCount": True
}
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filter: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
search: '<string>',
amount: 123,
currency: '<string>',
description: '<string>',
externalId: '<string>',
timestamp: '2023-11-07T05:31:56Z',
relatedClientIds: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
isAlerted: true,
alertedAt: '2023-11-07T05:31:56Z',
riskAssessment: {
name: '<string>',
eq: 123,
gt: 123,
gte: 123,
lt: 123,
lte: 123,
levelIn: ['<string>'],
levelNin: ['<string>']
},
productId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
tagIds: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
metadataFilters: [{key: '<string>', value: '<string>'}],
scopeData: {
MX: {
actividadVulnerable: {
ARI: {
operationType: '1501',
leaseStartDate: '2023-12-25',
leaseEndDate: '2023-12-25'
},
AVI: {hash: '<string>', cryptoCurrency: '<string>', cryptoAmount: 123},
INM: {operationType: '501', contractType: '<string>'},
JYS: {},
MJR: {operationPostalCode: '<string>'},
MPC: {postalCode: '<string>'},
TSC: {idNumber: '<string>', operationType: '211'},
VEH: {postalCode: '<string>'}
},
cnbv: {
TRANSMISOR: {numeroCuenta: '<string>', sucursal: '<string>', localidad: '<string>'}
}
}
},
alertItem: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
alertId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
clientId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
transactionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
hasErrors: true,
clientNames: '<string>',
transactionAmount: 123,
transactionCurrency: '<string>',
transactionDate: '2023-11-07T05:31:56Z',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
metadataFilters: [{key: '<string>', value: '<string>'}],
scopeData: {
MX: {
actividadVulnerable: {
alertDescription: '<string>',
ARI: {},
AVI: {},
INM: {},
JYS: {},
MJR: {},
MPC: {},
TSC: {},
VEH: {}
},
cnbv: {TRANSMISOR: {}}
}
}
},
alertItemHasErrors: true
},
sort: [{}],
cursor: '<string>',
offset: 4503599627370495,
limit: 20,
includeTotalCount: true
})
};
fetch('https://api.artu.ai/alerts/{alertId}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/alerts/{alertId}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filter' => [
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'search' => '<string>',
'amount' => 123,
'currency' => '<string>',
'description' => '<string>',
'externalId' => '<string>',
'timestamp' => '2023-11-07T05:31:56Z',
'relatedClientIds' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'isAlerted' => true,
'alertedAt' => '2023-11-07T05:31:56Z',
'riskAssessment' => [
'name' => '<string>',
'eq' => 123,
'gt' => 123,
'gte' => 123,
'lt' => 123,
'lte' => 123,
'levelIn' => [
'<string>'
],
'levelNin' => [
'<string>'
]
],
'productId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'createdAt' => '2023-11-07T05:31:56Z',
'updatedAt' => '2023-11-07T05:31:56Z',
'tagIds' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'metadataFilters' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'scopeData' => [
'MX' => [
'actividadVulnerable' => [
'ARI' => [
'operationType' => '1501',
'leaseStartDate' => '2023-12-25',
'leaseEndDate' => '2023-12-25'
],
'AVI' => [
'hash' => '<string>',
'cryptoCurrency' => '<string>',
'cryptoAmount' => 123
],
'INM' => [
'operationType' => '501',
'contractType' => '<string>'
],
'JYS' => [
],
'MJR' => [
'operationPostalCode' => '<string>'
],
'MPC' => [
'postalCode' => '<string>'
],
'TSC' => [
'idNumber' => '<string>',
'operationType' => '211'
],
'VEH' => [
'postalCode' => '<string>'
]
],
'cnbv' => [
'TRANSMISOR' => [
'numeroCuenta' => '<string>',
'sucursal' => '<string>',
'localidad' => '<string>'
]
]
]
],
'alertItem' => [
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'alertId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'clientId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'transactionId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'hasErrors' => true,
'clientNames' => '<string>',
'transactionAmount' => 123,
'transactionCurrency' => '<string>',
'transactionDate' => '2023-11-07T05:31:56Z',
'createdAt' => '2023-11-07T05:31:56Z',
'updatedAt' => '2023-11-07T05:31:56Z',
'metadataFilters' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'scopeData' => [
'MX' => [
'actividadVulnerable' => [
'alertDescription' => '<string>',
'ARI' => [
],
'AVI' => [
],
'INM' => [
],
'JYS' => [
],
'MJR' => [
],
'MPC' => [
],
'TSC' => [
],
'VEH' => [
]
],
'cnbv' => [
'TRANSMISOR' => [
]
]
]
]
],
'alertItemHasErrors' => true
],
'sort' => [
[
]
],
'cursor' => '<string>',
'offset' => 4503599627370495,
'limit' => 20,
'includeTotalCount' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/alerts/{alertId}/transactions"
payload := strings.NewReader("{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"description\": \"<string>\",\n \"externalId\": \"<string>\",\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"relatedClientIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isAlerted\": true,\n \"alertedAt\": \"2023-11-07T05:31:56Z\",\n \"riskAssessment\": {\n \"name\": \"<string>\",\n \"eq\": 123,\n \"gt\": 123,\n \"gte\": 123,\n \"lt\": 123,\n \"lte\": 123,\n \"levelIn\": [\n \"<string>\"\n ],\n \"levelNin\": [\n \"<string>\"\n ]\n },\n \"productId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"ARI\": {\n \"operationType\": \"1501\",\n \"leaseStartDate\": \"2023-12-25\",\n \"leaseEndDate\": \"2023-12-25\"\n },\n \"AVI\": {\n \"hash\": \"<string>\",\n \"cryptoCurrency\": \"<string>\",\n \"cryptoAmount\": 123\n },\n \"INM\": {\n \"operationType\": \"501\",\n \"contractType\": \"<string>\"\n },\n \"JYS\": {},\n \"MJR\": {\n \"operationPostalCode\": \"<string>\"\n },\n \"MPC\": {\n \"postalCode\": \"<string>\"\n },\n \"TSC\": {\n \"idNumber\": \"<string>\",\n \"operationType\": \"211\"\n },\n \"VEH\": {\n \"postalCode\": \"<string>\"\n }\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"sucursal\": \"<string>\",\n \"localidad\": \"<string>\"\n }\n }\n }\n },\n \"alertItem\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"alertId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"transactionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hasErrors\": true,\n \"clientNames\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionCurrency\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"alertDescription\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n },\n \"alertItemHasErrors\": true\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/alerts/{alertId}/transactions")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"description\": \"<string>\",\n \"externalId\": \"<string>\",\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"relatedClientIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isAlerted\": true,\n \"alertedAt\": \"2023-11-07T05:31:56Z\",\n \"riskAssessment\": {\n \"name\": \"<string>\",\n \"eq\": 123,\n \"gt\": 123,\n \"gte\": 123,\n \"lt\": 123,\n \"lte\": 123,\n \"levelIn\": [\n \"<string>\"\n ],\n \"levelNin\": [\n \"<string>\"\n ]\n },\n \"productId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"ARI\": {\n \"operationType\": \"1501\",\n \"leaseStartDate\": \"2023-12-25\",\n \"leaseEndDate\": \"2023-12-25\"\n },\n \"AVI\": {\n \"hash\": \"<string>\",\n \"cryptoCurrency\": \"<string>\",\n \"cryptoAmount\": 123\n },\n \"INM\": {\n \"operationType\": \"501\",\n \"contractType\": \"<string>\"\n },\n \"JYS\": {},\n \"MJR\": {\n \"operationPostalCode\": \"<string>\"\n },\n \"MPC\": {\n \"postalCode\": \"<string>\"\n },\n \"TSC\": {\n \"idNumber\": \"<string>\",\n \"operationType\": \"211\"\n },\n \"VEH\": {\n \"postalCode\": \"<string>\"\n }\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"sucursal\": \"<string>\",\n \"localidad\": \"<string>\"\n }\n }\n }\n },\n \"alertItem\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"alertId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"transactionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hasErrors\": true,\n \"clientNames\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionCurrency\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"alertDescription\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n },\n \"alertItemHasErrors\": true\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/alerts/{alertId}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"description\": \"<string>\",\n \"externalId\": \"<string>\",\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"relatedClientIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isAlerted\": true,\n \"alertedAt\": \"2023-11-07T05:31:56Z\",\n \"riskAssessment\": {\n \"name\": \"<string>\",\n \"eq\": 123,\n \"gt\": 123,\n \"gte\": 123,\n \"lt\": 123,\n \"lte\": 123,\n \"levelIn\": [\n \"<string>\"\n ],\n \"levelNin\": [\n \"<string>\"\n ]\n },\n \"productId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"ARI\": {\n \"operationType\": \"1501\",\n \"leaseStartDate\": \"2023-12-25\",\n \"leaseEndDate\": \"2023-12-25\"\n },\n \"AVI\": {\n \"hash\": \"<string>\",\n \"cryptoCurrency\": \"<string>\",\n \"cryptoAmount\": 123\n },\n \"INM\": {\n \"operationType\": \"501\",\n \"contractType\": \"<string>\"\n },\n \"JYS\": {},\n \"MJR\": {\n \"operationPostalCode\": \"<string>\"\n },\n \"MPC\": {\n \"postalCode\": \"<string>\"\n },\n \"TSC\": {\n \"idNumber\": \"<string>\",\n \"operationType\": \"211\"\n },\n \"VEH\": {\n \"postalCode\": \"<string>\"\n }\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"sucursal\": \"<string>\",\n \"localidad\": \"<string>\"\n }\n }\n }\n },\n \"alertItem\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"alertId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"transactionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hasErrors\": true,\n \"clientNames\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionCurrency\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"alertDescription\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n },\n \"alertItemHasErrors\": true\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"relatedClientIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"scopes": [
"base"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isAlerted": true,
"alertedAt": "2023-11-07T05:31:56Z",
"alertItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "not_applicable",
"amount": "<unknown>",
"currency": "<unknown>",
"exchangeRates": {},
"externalId": "<string>",
"description": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"ARI": {
"property": {
"type": "1",
"leaseStartDate": "2023-12-25",
"leaseEndDate": "2023-12-25",
"colonia": "<string>",
"calle": "<string>",
"numeroExterior": "<string>",
"postalCode": "<string>",
"folioReal": "<string>",
"value": "<unknown>",
"numeroInterior": "<string>"
},
"payments": [
{
"paymentForm": "1",
"monetaryInstrument": "1",
"currency": "<string>",
"paymentDate": "2023-12-25",
"amount": "<unknown>"
}
],
"operationType": "1501"
},
"AVI": {
"operationType": "buy",
"cryptoCurrency": "<string>",
"hash": "<unknown>",
"cryptoAmount": "<unknown>"
},
"INM": {
"figuraCliente": "1",
"figuraSO": "1",
"inmuebles": [
{
"type": "1",
"colonia": "<string>",
"calle": "<string>",
"numeroExterior": "<string>",
"postalCode": "<string>",
"folioReal": "<string>",
"value": "<unknown>",
"numeroInterior": "<string>",
"dimensionTerreno": "<unknown>",
"dimensionConstruido": "<unknown>"
}
],
"contract": {
"type": "notarial",
"instrumentNumber": "<string>",
"instrumentDate": "2023-12-25",
"notaryNumber": "<string>",
"notaryStateCode": "1",
"cadastralValue": "<unknown>"
},
"operationType": "501",
"payments": [
{
"paymentForm": "1",
"monetaryInstrument": "1",
"currency": "<string>",
"paymentDate": "2023-12-25",
"amount": "<unknown>"
}
]
},
"JYS": {
"branchInformation": {
"type": "<unknown>",
"postalCode": "<unknown>"
},
"operationType": "101",
"businessLine": "1",
"operationMethod": "1",
"settlementType": "cash",
"monetaryInstrument": "1"
},
"MJR": {
"operationPostalCode": "<string>",
"goods": [
{
"goodType": "1",
"unit": "1",
"quantity": "<unknown>"
}
],
"payments": [
{
"paymentForm": "1",
"monetaryInstrument": "1",
"currency": "<string>",
"paymentDate": "2023-12-25",
"amount": "<unknown>"
}
],
"operationType": "601"
},
"MPC": {
"operationType": "401",
"postalCode": "<string>",
"disbursements": [
{
"monetaryInstrument": "1",
"currency": "<string>",
"disbursementDate": "2023-12-25",
"amount": "<unknown>"
}
],
"collateral": [
{
"tipoGarantia": "2",
"bienMutuo": "<unknown>",
"guarantorClientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"TSC": {
"cardType": "1",
"idNumber": "<string>",
"operationType": "211"
},
"VEH": {
"operationType": "801",
"postalCode": "<string>",
"vehicles": [
{
"kind": "<unknown>",
"marcaFabricante": "<unknown>",
"modelo": "<unknown>",
"anio": "<unknown>",
"vin": "<unknown>",
"repuve": "<unknown>",
"placas": "<unknown>",
"nivelBlindaje": "<unknown>"
}
],
"operationDate": "2023-12-25",
"payments": [
{
"paymentForm": "1",
"currency": "<string>",
"paymentDate": "2023-12-25",
"monetaryInstrument": "1",
"amount": "<unknown>"
}
]
}
},
"cnbv": {
"TRANSMISOR": {
"tipoOperacion": "00",
"instrumentoMonetario": "00",
"sucursal": "<string>",
"localidad": "10100005"
}
}
},
"US": "<unknown>"
},
"relatedClients": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "base",
"metadata": {}
}
],
"riskAssessments": {},
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
],
"alertItemValidationErrors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>",
"severity": "error",
"resource": "alert",
"resourceId": "<string>",
"label": "<string>",
"sdkField": "<string>",
"parentClientId": "<string>"
}
],
"alertItemScopeData": {
"MX": {
"actividadVulnerable": {
"alertDescription": "<string>",
"amendment": {
"originalReference": "<string>",
"reason": "<string>"
},
"ARI": {
"alertType": "100"
},
"AVI": {
"alertType": "100"
},
"INM": {
"alertType": "100"
},
"JYS": {
"alertType": "100"
},
"MJR": {
"alertType": "100"
},
"MPC": {
"alertType": "100"
},
"TSC": {
"alertType": "100"
},
"VEH": {
"alertType": "100"
}
},
"cnbv": {
"TRANSMISOR": {
"fechaDeteccion": "2023-11-07T05:31:56Z",
"descripcionOperacion": "<string>",
"razones": "<string>"
}
}
},
"US": "<unknown>"
},
"alertItemMetadata": {},
"alertItemCreatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"hasMore": true,
"nextCursor": "<string>",
"totalCount": 0
}
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Path Parameters
Body
application/json
Was this page helpful?
